///Suma valorilor unui sir numeric - DEI
#include <fstream>
#include <algorithm>

const int MaxN = 100;

void ReadArray(int a[], int& n);
int MaxDEI(int l, int r, int a[]);

int main()
{
    int a[MaxN];
    int n;

    ReadArray(a, n);
    std::ofstream fout("sir.out");

    fout << MaxDEI(0, n - 1, a);

    fout.close();
    return 0;
}

int MaxDEI(int l, int r, int a[])
{
    if (l == r) return a[l];
    int mid = (l + r) / 2;

    return std::max(MaxDEI(l, mid, a),
                    MaxDEI(mid + 1, r, a));
}

void ReadArray(int a[], int& n)
{
    std::ifstream fin("sir.in");
    fin >> n;
    for (int i = 0; i < n; ++i)
        fin >> a[i];

    fin.close();
}


