#include <iostream>
#include <algorithm>

const int MaxN = 100;

void ReadArray(int a[], int& n);
bool OddExists(int l, int r, int a[]);

int main()
{
    int a[MaxN];
    int n;

    ReadArray(a, n);
    std::ofstream fout("sir.out");
    if (OddExists(0, n - 1))
        fout << "DA";
    else
        fout << "NU";

    fout.close();
    return 0;
}

bool OddExists(int l, int r, int a[])
{
    if (l == r) return a[l] % 2 == 1;
    int mid = (l + r) / 2;

    return OddExists(l, mid, a) ||
           OddExists(mid + 1, r, a));
}

void ReadArray(int a[], int& n)
{
    std::ifstream fin("sir.in");
    fin >> n;
    for (int i = 0; i < n; ++i)
        fin >> a[i];

    fin.close();
}


